Package org.apache.qpid.proton.engine

# Interface Endpoint

All Superinterfaces:
  `Extendable`

All Known Subinterfaces:
  `Connection`, `Link`, `ProtonJConnection`, `ProtonJEndpoint`, `ProtonJSession`, `ProtonJTransport`, `Receiver`, `Sender`, `Session`, `Transport`, `TransportInternal`

All Known Implementing Classes:
  `ConnectionImpl`, `EndpointImpl`, `LinkImpl`, `ReceiverImpl`, `SenderImpl`, `SessionImpl`, `TransportImpl`

public interface Endpoint extends Extendable

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
transition local state to CLOSED
`void`
`free()`
free the endpoint and any associated resources
`ErrorCondition`
`getCondition()`
`Object`
`getContext()`
`EndpointState`
`getLocalState()`
`ErrorCondition`
`getRemoteCondition()`
`EndpointState`
`getRemoteState()`
`void`
`open()`
transition local state to ACTIVE
`void`
`setCondition(ErrorCondition condition)`
Set the local error condition
`void`
`setContext(Object o)`
Sets an arbitrary an application owned object on the end-point.

### Methods inherited from interface org.apache.qpid.proton.engine.Extendable

`attachments`

## Method Details

### getLocalState

EndpointState getLocalState()

Returns:
  the local endpoint state

### getRemoteState

EndpointState getRemoteState()

Returns:
  the remote endpoint state (as last communicated)

### getCondition

ErrorCondition getCondition()

Returns:
  the local endpoint error, or null if there is none

### setCondition

void setCondition(ErrorCondition condition)
Set the local error condition

Parameters:
  `condition` -

### getRemoteCondition

ErrorCondition getRemoteCondition()

Returns:
  the remote endpoint error, or null if there is none

### free

void free()
free the endpoint and any associated resources

### open

void open()
transition local state to ACTIVE

### close

void close()
transition local state to CLOSED

### setContext

void setContext(Object o)
Sets an arbitrary an application owned object on the end-point. This object is not used by Proton.

### getContext

Object getContext()

See Also:
  - `setContext(Object)`